<HTML>
<HEAD>
<!-- This HTML file has been created by texi2html 1.54
     from builder.texi on 28 April 1999 -->

<TITLE>The Builder Library - Decl. SUIF from Builder</TITLE>
<link href="builder_41.html" rel=Next>
<link href="builder_39.html" rel=Previous>
<link href="builder_toc.html" rel=ToC>

</HEAD>
<BODY>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_39.html">previous</A>, <A HREF="builder_41.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
<P><HR><P>


<H2><A NAME="SEC73" HREF="builder_toc.html#TOC73">Generating SUIF Code</A></H2>
<P>
<A NAME="IDX688"></A>
<A NAME="IDX689"></A>
<A NAME="IDX690"></A>

</P>


<PRE>
    tree_node      * make_tree_node(block_symtab *)
    tree_node      * make_tree_node(tree_node *)
    tree_node      * make_tree_node(tree_node_list *)
    tree_node      * make_tree_node(instruction *)
<A NAME="IDX691"></A><A NAME="IDX692"></A><A NAME="IDX693"></A><A NAME="IDX694"></A>    tree_node_list * make_tree_node_list()
    tree_node_list * make_tree_node_list(block_symtab *)
    tree_node_list * make_tree_node_list(tree_node *)
    tree_node_list * make_tree_node_list(tree_node_list *)
    tree_node_list * make_tree_node_list(instruction *)
<A NAME="IDX695"></A><A NAME="IDX696"></A><A NAME="IDX697"></A><A NAME="IDX698"></A>    instruction    * make_instruction()
    instruction    * make_instruction(block_symtab *)
    instruction    * make_instruction(tree_node *)
    instruction    * make_instruction(tree_node_list *)
    instruction    * make_instruction(instruction *)
<A NAME="IDX699"></A><A NAME="IDX700"></A><A NAME="IDX701"></A><A NAME="IDX702"></A></PRE>

<P><HR><P>
<p>Go to the <A HREF="builder_1.html">first</A>, <A HREF="builder_39.html">previous</A>, <A HREF="builder_41.html">next</A>, <A HREF="builder_47.html">last</A> section, <A HREF="builder_toc.html">table of contents</A>.
</BODY>
</HTML>
